﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Sharp7;
using System.Net.Sockets;


using AIOUSBNet;  // namespace exposes AIOUSB Class interface 


namespace Sample1
{
   


    public partial class Form2 : Form
    {




       









        public Form2()
        {
            InitializeComponent();

        }



        private UInt32 RedetectDevices()
        {
            AIOUSB.AIOUSB_ReloadDeviceLinks(); // redetects devices; generally just for convenience; do this first as DeviceIndices can change
            UInt32 di = 0;
            UInt32 diMask = AIOUSB.GetDevices();
            for (uint index = 0; index < 32; index++)
            {
                if ((diMask & (1 << (int)(index))) > 0)
                {
                    uint pPID;
                    AIOUSB.QueryDeviceInformation(index, out pPID, out _, out _, out _, out _);
                    // (8010) is USB-IIRO-16 while (8159) is USB-AI016-128A
                    if ((pPID >= 0x8010) && (pPID < 0x801F))
                    {
                        di = index;
                        break;
                    }
                }
            }

            return di;
        }




        private void Form2_Load(object sender, EventArgs e)
        {
            // Display Software Version
            labelSoftware_Version.Text = global_variables.SOFTWARE_VERSION;


            // Check for V_BADGE_ACCESS
            if (global_variables.BADGE_ACCESS.Contains("Supervisor")) // Enable Manual Option Selection Keys on the touch screen . Must Default to non Supervisor after Cycle Complete
            {
                button18.Enabled = (true);


            }
            else // // Disable Manual Option Selection Keys on the touch screen
            {





            }



                // CONSOLE MANIFEST - Highline (default)
                Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,13525890FT12,1502,13529874FW86,3002,13529875FW85,4301,135619101FT06,402,13592451FT45,1302,85117464FT09,1101,84638621GO2A,2701,13592452FW74,3501,84952174FW83,4201,84786104FW68,3101,84960563M33V,3301,13537143M08L,2901,";


            // PARSE OUT THE CSN #
            global_variables.CSN = Manifest_Options.Text.Substring(28, 13);
            textBoxfrm2VIN.Text = global_variables.CSN;




            // **************************************************
            // **** CHECK GLOBAL VARIABLES FOR TEST RESULTS *****
            //***************************************************




            if (global_variables.WCM.Contains("PASS"))
            {
                button7.BackColor = Color.Aquamarine; // PN - Part Number
                button30.BackColor = Color.Aquamarine; // WCM - PASS
            }
            else
            {
                if (global_variables.WCM.Contains("YELO"))
                {
                    button7.BackColor = Color.Orange; // PN - Part Number
                    button30.BackColor = Color.Orange; // WCM - FAIL
                    global_variables.WCM = "FAIL";
                }

                if (global_variables.WCM.Contains("FAIL"))
                {
                    button7.BackColor = Color.Orange; // PN - Part Number
                    button30.BackColor = Color.Orange; // WCM - FAIL
                    global_variables.WCM = "FAIL";
                }
                
            }


            if (global_variables.SIB.Contains("PASS"))
            {
                button7.BackColor = Color.Aquamarine; // PN - Part Number 
                button28.BackColor = Color.Aquamarine; // SIB - PASS
            }
            else
            {
                if (global_variables.SIB.Contains("YELO"))
                {
                    button7.BackColor = Color.Orange; // PN - Part Number
                    button28.BackColor = Color.Orange; // SIB - FAIL
                    global_variables.SIB = "FAIL";
                }

                if (global_variables.SIB.Contains("FAIL"))
                {
                    button7.BackColor = Color.Orange; // PN - Part Number
                    button28.BackColor = Color.Orange; // SIB - FAIL
                    global_variables.SIB = "FAIL";
                }



            }


            if (global_variables.EOCM.Contains("PASS"))
            {
                button7.BackColor = Color.Aquamarine; // PN - Part Number 
                button24.BackColor = Color.Aquamarine; // EOCM - PASS
            }
            else
            {
                if (global_variables.EOCM.Contains("YELO"))
                {
                    button7.BackColor = Color.Orange; // PN - Part Number
                    button24.BackColor = Color.Orange; // SIB - FAIL
                    global_variables.EOCM = "FAIL";
                }

                if (global_variables.EOCM.Contains("FAIL"))
                {
                    button7.BackColor = Color.Orange; // PN - Part Number
                    button24.BackColor = Color.Orange; // SIB - FAIL
                    global_variables.EOCM = "FAIL";
                }

            }






            if (global_variables.SEAT.Contains("PASS"))
            {
                button13.BackColor = Color.Aquamarine; // SEAT - PASS
            }
            else
            {
                if (global_variables.SEAT.Contains("YELO"))
                {
                    button13.BackColor = Color.Orange; // 
                    global_variables.SEAT = "FAIL";
                }

                if (global_variables.SEAT.Contains("FAIL"))
                {
                    button13.BackColor = Color.Orange; // 
                    global_variables.SEAT = "FAIL";
                }


            }





            if (global_variables.TBS.Contains("PASS"))
            {
                button20.BackColor = Color.Aquamarine; // TBS - PASS
            }
            else
            {
                if (global_variables.TBS.Contains("YELO"))
                {
                    button20.BackColor = Color.Orange; // PN - Part Number
                    global_variables.TBS = "FAIL";
                }
                
                if (global_variables.TBS.Contains("FAIL"))
                {
                    button20.BackColor = Color.Orange; // PN - Part Number
                    global_variables.TBS = "FAIL";
                }

            }




            if (global_variables.LAMP.Contains("PASS")) // LAMP TEST RESULTS
            {
                button27.BackColor = Color.Aquamarine; //  PASS
            }
            else
            {
                if (global_variables.LAMP.Contains("YELO"))
                {
                    button27.BackColor = Color.Orange; // FAIL
                    global_variables.LAMP = "FAIL";
                }

                if (global_variables.LAMP.Contains("FAIL"))
                {
                    button27.BackColor = Color.Orange; // FAIL
                    global_variables.LAMP = "FAIL";
                }

            }


            if (global_variables.PEPS.Contains("PASS")) // PEPS ANTENNA TEST RESULT
            {
                button18.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.PEPS.Contains("YELO"))
                {
                    button18.BackColor = Color.Orange; // FAIL
                    global_variables.PEPS = "FAIL";
                }

                if (global_variables.PEPS.Contains("FAIL"))
                {
                    button18.BackColor = Color.Orange; // FAIL
                    global_variables.PEPS = "FAIL";
                }

            }


            if (global_variables.IMOB.Contains("PASS")) // IMMOBILIZER ANTENNA TEST RESULT
            {
                button22.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.IMOB.Contains("YELO"))
                {
                    button22.BackColor = Color.Orange; // FAIL
                    global_variables.IMOB = "FAIL";
                }

                if (global_variables.IMOB.Contains("FAIL"))
                {
                    button22.BackColor = Color.Orange; // FAIL
                    global_variables.IMOB = "FAIL";
                }


            }

            if (global_variables.HVPO.Contains("PASS")) // HIGH VOLTAGE POWER OUTLET
            {
                button34.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.HVPO.Contains("YELO"))
                {
                    button34.BackColor = Color.Orange; // FAIL
                    global_variables.HVPO = "FAIL";
                }

                if (global_variables.HVPO.Contains("FAIL"))
                {
                    button34.BackColor = Color.Orange; // FAIL
                    global_variables.HVPO = "FAIL";
                }


            }


            




            if (global_variables.ENDCAP_USB_TEST.Contains("PASS")) // ENDCAP USB TEST RESULT
            {
                button8.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.ENDCAP_USB_TEST.Contains("YELO"))
                {
                    button8.BackColor = Color.Orange; // FAIL
                    global_variables.ENDCAP_USB_TEST = "FAIL";
                }

                if (global_variables.ENDCAP_USB_TEST.Contains("FAIL"))
                {
                    button8.BackColor = Color.Orange; // FAIL
                    global_variables.ENDCAP_USB_TEST = "FAIL";
                }

            }




            if (global_variables.ENDCAP_USB_SCAN.Contains("PASS")) // ENDCAP USB RFID BADGE SCAN RESULT
            {
                button11.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.ENDCAP_USB_SCAN.Contains("YELO"))
                {
                    button11.BackColor = Color.Orange; // FAIL
                    global_variables.ENDCAP_USB_SCAN = "FAIL";
                }
                
                if (global_variables.ENDCAP_USB_SCAN.Contains("FAIL"))
                {
                    button11.BackColor = Color.Orange; // FAIL
                    global_variables.ENDCAP_USB_SCAN = "FAIL";
                }

            }



            if (global_variables.BODY_USB_TEST.Contains("PASS")) // BODY USB TEST RESULT
            {
                button4.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.BODY_USB_TEST.Contains("YELO"))
                {
                    button4.BackColor = Color.Orange; // FAIL
                    global_variables.BODY_USB_TEST = "FAIL";
                }
                
                if (global_variables.BODY_USB_TEST.Contains("FAIL"))
                {
                    button4.BackColor = Color.Orange; // FAIL
                    global_variables.BODY_USB_TEST = "FAIL";
                }

            }


            if (global_variables.BODY_USB_SCAN.Contains("PASS")) // BODY USB RFID BADGE SCAN RESULT
            {
                button10.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.BODY_USB_SCAN.Contains("YELO"))
                {
                    button10.BackColor = Color.Orange; // FAIL
                    global_variables.BODY_USB_SCAN = "FAIL";
                }
                
                if (global_variables.BODY_USB_SCAN.Contains("FAIL"))
                {
                    button10.BackColor = Color.Orange; // FAIL
                    global_variables.BODY_USB_SCAN = "FAIL";
                }

            }







            if (global_variables.CUPHOLDER_USB_TEST.Contains("PASS")) // CUPHOLDER USB TEST RESULT
            {
                button6.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.CUPHOLDER_USB_TEST.Contains("YELO"))
                {
                    button6.BackColor = Color.Orange; // FAIL
                    global_variables.CUPHOLDER_USB_TEST = "FAIL";
                }
                
                if (global_variables.CUPHOLDER_USB_TEST.Contains("FAIL"))
                {
                    button6.BackColor = Color.Orange; // FAIL
                    global_variables.CUPHOLDER_USB_TEST = "FAIL";
                }

            }

            if (global_variables.CUPHOLDER_USB_SCAN.Contains("PASS")) // CUPHOLDER USB RFID BADGE SCAN RESULT
            {
                button9.BackColor = Color.Aquamarine; // PASS
            }
            else
            {
                if (global_variables.CUPHOLDER_USB_SCAN.Contains("YELO"))
                {
                    button9.BackColor = Color.Orange; // FAIL
                    global_variables.CUPHOLDER_USB_SCAN = "FAIL";
                }

                if (global_variables.CUPHOLDER_USB_SCAN.Contains("FAIL"))
                {
                    button9.BackColor = Color.Orange; // FAIL
                    global_variables.CUPHOLDER_USB_SCAN = "FAIL";
                }

            }

            textBoxOperatorPrompts.Text = ""; // Clear Screen


            timer1.Start();



        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void button3_Click(object sender, EventArgs e) // OK BUTTON
        {
            timer1.Stop();
            if (global_variables.frm3 != null)
            { 
                global_variables.frm3.Close(); 
            }
        }

        private void button13_Click(object sender, EventArgs e) // SEAT
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button13.BackColor == Color.Yellow)
            {
                button13.BackColor = Color.LightGray;
                global_variables.SEAT = "GRAY";
            }
            else
            {
                button13.BackColor = Color.Yellow;
                global_variables.SEAT = "YELO";
            }
        }

        private void button18_Click(object sender, EventArgs e) // PEPS
        {

            global_variables.Manifest = "MANUAL ENTRY";

            if (button18.BackColor == Color.Yellow)
            {
                button18.BackColor = Color.LightGray;
                global_variables.PEPS = "GRAY";
            }
            else
            {
                button18.BackColor = Color.Yellow;
                global_variables.PEPS = "YELO";
            }
        }

        private void button28_Click(object sender, EventArgs e) // SIB
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button28.BackColor == Color.Yellow)
            {
                button28.BackColor = Color.LightGray;
                global_variables.SIB = "GRAY";
            }
            else
            {
                button28.BackColor = Color.Yellow;
                global_variables.SIB = "YELO";
            }
        }

        private void button20_Click(object sender, EventArgs e) // TBS
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button20.BackColor == Color.Yellow)
            {
                button20.BackColor = Color.LightGray;
                global_variables.TBS = "GRAY";
            }
            else
            {
                button20.BackColor = Color.Yellow;
                global_variables.TBS = "YELO";
            }
        }

        private void button27_Click(object sender, EventArgs e) // LAMP
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button27.BackColor == Color.Yellow)
            {
                button27.BackColor = Color.LightGray;
                global_variables.LAMP = "GRAY";
            }
            else
            {
                button27.BackColor = Color.Yellow;
                global_variables.LAMP = "YELO";
            }
        }

        private void button22_Click(object sender, EventArgs e) // IMOB
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button22.BackColor == Color.Yellow)
            {
                button22.BackColor = Color.LightGray;
                global_variables.IMOB = "GRAY";
            }
            else
            {
                button22.BackColor = Color.Yellow;
                global_variables.IMOB = "YELO";
            }
        }

        private void button30_Click(object sender, EventArgs e) // WCM
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button30.BackColor == Color.Yellow)
            {
                button30.BackColor = Color.LightGray;
                global_variables.WCM = "GRAY";
            }
            else
            {
                button30.BackColor = Color.Yellow;
                global_variables.WCM = "YELO";
            }
        }

        private void button24_Click(object sender, EventArgs e) // EOCM
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button24.BackColor == Color.Yellow)
            {
                button24.BackColor = Color.LightGray;
                global_variables.EOCM = "GRAY";
            }
            else
            {
                button24.BackColor = Color.Yellow;
                global_variables.EOCM = "YELO";
            }
        }

        private void button4_Click(object sender, EventArgs e)  // BODY USB
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button4.BackColor == Color.Yellow)
            {
                button4.BackColor = Color.LightGray;
                button10.BackColor = Color.LightGray;
                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";
            }
            else
            {
                button4.BackColor = Color.Yellow;
                button10.BackColor = Color.Yellow;
                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";

            }
        }

        private void button8_Click(object sender, EventArgs e) // ENDCAP USB
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button8.BackColor == Color.Yellow)
            {
                button8.BackColor = Color.LightGray;
                button11.BackColor = Color.LightGray;
                global_variables.ENDCAP_USB_SCAN = "GRAY";
                global_variables.ENDCAP_USB_TEST = "GRAY";
            }
            else
            {
                button8.BackColor = Color.Yellow;
                button11.BackColor = Color.Yellow;
                global_variables.ENDCAP_USB_SCAN = "YELO";
                global_variables.ENDCAP_USB_TEST = "YELO";
            }
        }



        private void button10_Click(object sender, EventArgs e)
        {
            global_variables.Manifest = "MANUAL ENTRY"; // BODY USB

            if (button10.BackColor == Color.Yellow)
            {
                button10.BackColor = Color.LightGray;
                button4.BackColor = Color.LightGray;
                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";
            }
            else
            {
                button10.BackColor = Color.Yellow;
                button4.BackColor = Color.Yellow;
                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";
            }
        }

        private void button11_Click(object sender, EventArgs e)
        {
            global_variables.Manifest = "MANUAL ENTRY"; // ENDCAP USB

            if (button11.BackColor == Color.Yellow)
            {
                button11.BackColor = Color.LightGray;
                button8.BackColor = Color.LightGray;
                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";
            }
            else
            {
                button11.BackColor = Color.Yellow;
                button8.BackColor = Color.Yellow;
                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";
            }
        }

        private void button1_Click(object sender, EventArgs e) // Clear Options Button Pressed
        {
            global_variables.Manifest = "MANUAL ENTRY";

            button13.BackColor = Color.LightGray;
            button18.BackColor = Color.LightGray;
            button28.BackColor = Color.LightGray;
            button20.BackColor = Color.LightGray;
            button27.BackColor = Color.LightGray;
            button22.BackColor = Color.LightGray;
            button30.BackColor = Color.LightGray;
            button24.BackColor = Color.LightGray;
            button4.BackColor = Color.LightGray;
            button8.BackColor = Color.LightGray;
            button10.BackColor = Color.LightGray;
            button11.BackColor = Color.LightGray;
            button7.BackColor = Color.LightGray;
            button6.BackColor = Color.LightGray;
            button9.BackColor = Color.LightGray;
            button34.BackColor = Color.LightGray;

        }






        private void buttonHighlineManifest_Click(object sender, EventArgs e)
        {
            global_variables.Manifest = "HIGHLINE MANUAL ENTRY";

          //   button31.BackColor = Color.Yellow;// PN

            // CONSOLE MANIFEST - Highline
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,13525890FT12,1502,13529874FW86,3002,13529875FW85,4301,135619101FT06,402,13592451FT45,1302,85117464FT09,1101,84638621GO2A,2701,13592452FW74,3501,84952174FW83,4201,84786104FW68,3101,84960563M33V,3301,13537143M08L,2901,";

            // ******************************************
            // ********* MOD codes for USB test *********
            // ******************************************

            if (Manifest_Options.Text.Contains(",4301,")) // Search Manifest for Modcode (Cupholder USB)
            {
                button6.BackColor = Color.Yellow;
                button9.BackColor = Color.Yellow;
                global_variables.CUPHOLDER_USB_SCAN = "YELO";
                global_variables.CUPHOLDER_USB_TEST = "YELO";
            }
            else
            {
                button6.BackColor = Color.LightGray;
                button9.BackColor = Color.LightGray;
                global_variables.CUPHOLDER_USB_SCAN = "GRAY";
                global_variables.CUPHOLDER_USB_TEST = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",3002,")) // Search Manifest for Modcode (Body USB)
            {
                button4.BackColor = Color.Yellow;
                button10.BackColor = Color.Yellow;
                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";

            }
            else
            {
                button4.BackColor = Color.LightGray;
                button10.BackColor = Color.LightGray;
                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",1502,")) // Search Manifest for Modcode (Endcap USB)
            {
                button8.BackColor = Color.Yellow;
                button11.BackColor = Color.Yellow;
                global_variables.ENDCAP_USB_SCAN = "YELO";
                global_variables.ENDCAP_USB_TEST = "YELO";

            }
            else
            {
                button8.BackColor = Color.LightGray;
                button11.BackColor = Color.LightGray;
                global_variables.ENDCAP_USB_SCAN = "GRAY";
                global_variables.ENDCAP_USB_TEST = "GRAY";

            }

            // ******************************************
            // ********* All Other MOD codes ************
            // ******************************************


            if (Manifest_Options.Text.Contains(",3301,")) // Search Manifest for Modcode (EOCM)
            {
                button24.BackColor = Color.Yellow;
                global_variables.EOCM = "YELO";
               
            }
            else
            {
                button24.BackColor = Color.LightGray;
                global_variables.EOCM = "GRAY";
               
            }


            if (Manifest_Options.Text.Contains(",2901,")) // Search Manifest for Modcode (WCM - WIRELESS CHARGE MODULE)
            {
                button30.BackColor = Color.Yellow;
                global_variables.WCM = "YELO";

            }
            else
            {
                button30.BackColor = Color.LightGray;
                global_variables.WCM = "GRAY";

            }


            if (Manifest_Options.Text.Contains(",1101,")) // Search Manifest for Modcode (HEATED SEAT SW.)
            {
                button13.BackColor = Color.Yellow;
                global_variables.SEAT = "YELO";
            }
            else
            {
                button13.BackColor = Color.LightGray;
                global_variables.SEAT = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",1302,")) // Search Manifest for Modcode (PEPS ANTENNA)
            {
                button18.BackColor = Color.Yellow;
                global_variables.PEPS = "YELO";
            }
            else
            {
                button18.BackColor = Color.LightGray;
                global_variables.PEPS = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",2701,")) // Search Manifest for Modcode (SIB - SHIFT INTERFACE BOARD)
            {
                button28.BackColor = Color.Yellow;
                global_variables.SIB = "YELO";
            }
            else
            {
                button28.BackColor = Color.LightGray;
                global_variables.SIB = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",4201,")) // Search Manifest for Modcode (TRAILER BRAKE SWITCH)
            {
                button20.BackColor = Color.Yellow;
                global_variables.TBS = "YELO";
            }
            else
            {
                button20.BackColor = Color.LightGray;
                global_variables.TBS = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",402,")) // Search Manifest for Modcode (MAIN CONSOLE LAMP)
            {
                button27.BackColor = Color.Yellow;
                global_variables.LAMP = "YELO";
            }
            else
            {
                button27.BackColor = Color.LightGray;
                global_variables.LAMP = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",3501,")) // Search Manifest for Modcode (IMMOBILIZER ANTENNA)
            {
                button22.BackColor = Color.Yellow;
                global_variables.IMOB = "YELO";
            }
            else
            {
                button22.BackColor = Color.LightGray;
                global_variables.IMOB = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",3101,") || Manifest_Options.Text.Contains(",3102,")) // Search Manifest for Modcode (HIGH VOLTAGE PO 3101)
            {
                button34.BackColor = Color.Yellow;
                global_variables.HVPO = "YELO";
            }
            else
            {
                button34.BackColor = Color.LightGray;
                global_variables.HVPO= "GRAY";
            }

            timer1.Stop();
            //Form3 frm3 = new Form3();
            global_variables.frm3.Show();
        }

        private void buttonMidlineManifest_Click(object sender, EventArgs e)
        {

          //  button31.BackColor = Color.Yellow;

            global_variables.Manifest = "MIDLINE MANUAL ENTRY";

            // CONSOLE MANIFEST - Midline
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,13525890FT12,1502,13529874FW86,3002,135619101FT06,402,13592451FT45,1302,85117464FT09,1101,84638621GO2A,2701,84952174FW83,4201,13537143M08L,2901,";


            // ******************************************
            // ********* MOD codes for USB test *********
            // ******************************************

            if (Manifest_Options.Text.Contains(",4301,")) // Search Manifest for Modcode (Cupholder USB)
            {
                button6.BackColor = Color.Yellow;
                button9.BackColor = Color.Yellow;
                global_variables.CUPHOLDER_USB_SCAN = "YELO";
                global_variables.CUPHOLDER_USB_TEST = "YELO";

            }
            else
            {
                button6.BackColor = Color.LightGray;
                button9.BackColor = Color.LightGray;
                global_variables.CUPHOLDER_USB_SCAN = "GRAY";
                global_variables.CUPHOLDER_USB_TEST = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",3002,")) // Search Manifest for Modcode (Body USB)
            {
                button4.BackColor = Color.Yellow;
                button10.BackColor = Color.Yellow;
                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";

            }
            else
            {
                button4.BackColor = Color.LightGray;
                button10.BackColor = Color.LightGray;
                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",1502,")) // Search Manifest for Modcode (Endcap USB)
            {
                button8.BackColor = Color.Yellow;
                button11.BackColor = Color.Yellow;
                global_variables.ENDCAP_USB_SCAN = "YELO";
                global_variables.ENDCAP_USB_TEST = "YELO";

            }
            else
            {
                button8.BackColor = Color.LightGray;
                button11.BackColor = Color.LightGray;
                global_variables.ENDCAP_USB_SCAN = "GRAY";
                global_variables.ENDCAP_USB_TEST = "GRAY";

            }

            // ******************************************
            // ********* All Other MOD codes ************
            // ******************************************


            if (Manifest_Options.Text.Contains(",3301,")) // Search Manifest for Modcode (EOCM)
            {
                button24.BackColor = Color.Yellow;
                global_variables.EOCM = "YELO";
            }
            else
            {
                button24.BackColor = Color.LightGray;
                global_variables.EOCM = "GRAY";
            }


            if (Manifest_Options.Text.Contains(",2901,")) // Search Manifest for Modcode (WCM - WIRELESS CHARGE MODULE)
            {
                button30.BackColor = Color.Yellow;
                global_variables.WCM = "YELO";
            }
            else
            {
                button30.BackColor = Color.LightGray;
                global_variables.WCM = "GRAY";
            }


            if (Manifest_Options.Text.Contains(",1101,")) // Search Manifest for Modcode (HEATED SEAT SW.)
            {
                button13.BackColor = Color.Yellow;
                global_variables.SEAT = "YELO";
            }
            else
            {
                button13.BackColor = Color.LightGray;
                global_variables.SEAT = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",1302,")) // Search Manifest for Modcode (PEPS ANTENNA)
            {
                button18.BackColor = Color.Yellow;
                global_variables.PEPS = "YELO";
            }
            else
            {
                button18.BackColor = Color.LightGray;
                global_variables.PEPS = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",2701,")) // Search Manifest for Modcode (SIB - SHIFT INTERFACE BOARD)
            {
                button28.BackColor = Color.Yellow;
                global_variables.SIB = "YELO";
            }
            else
            {
                button28.BackColor = Color.LightGray;
                global_variables.SIB = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",4201,")) // Search Manifest for Modcode (TRAILER BRAKE SWITCH)
            {
                button20.BackColor = Color.Yellow;
                global_variables.TBS = "YELO";
            }
            else
            {
                button20.BackColor = Color.LightGray;
                global_variables.TBS = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",402,")) // Search Manifest for Modcode (MAIN CONSOLE LAMP)
            {
                button27.BackColor = Color.Yellow;
                global_variables.LAMP = "YELO";
            }
            else
            {
                button27.BackColor = Color.LightGray;
                global_variables.LAMP = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",3501,")) // Search Manifest for Modcode (IMMOBILIZER ANTENNA)
            {
                button22.BackColor = Color.Yellow;
                global_variables.IMOB = "YELO";
            }
            else
            {
                button22.BackColor = Color.LightGray;
                global_variables.IMOB = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",3101,") || Manifest_Options.Text.Contains(",3102,")) // Search Manifest for Modcode (HIGH VOLTAGE PO 3101)
            {
                button7.BackColor = Color.Yellow;
                global_variables.HVPO = "YELO";
            }
            else
            {
                button7.BackColor = Color.LightGray;
                global_variables.HVPO = "GRAY";
            }


            timer1.Stop();
            //Form3 frm3 = new Form3();
            global_variables.frm3.Show();

        }

        private void buttonBaseManifest_Click(object sender, EventArgs e)
        {
            buttonBaseManifest.BackColor = Color.Yellow; // BASE SELECTED SO TURN BUTTON COLOR YELLOW


           // button31.BackColor = Color.Yellow; // PN MODULE PART NUMBER IS TESTED FOR BASE

            global_variables.Manifest = "BASE MANUAL ENTRY";

            
            // CONSOLE MANIFEST - Base
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,13529874FW86,3002,84638621GO2A,2701,135619101FT06,402,";

            // ******************************************
            // ********* MOD codes for USB test *********
            // ******************************************

            if (Manifest_Options.Text.Contains(",4301,")) // Search Manifest for Modcode (Cupholder USB)
            {
                button6.BackColor = Color.Yellow;
                button9.BackColor = Color.Yellow;
                global_variables.CUPHOLDER_USB_SCAN = "YELO";
                global_variables.CUPHOLDER_USB_TEST = "YELO";

            }
            else
            {
                button6.BackColor = Color.LightGray;
                button9.BackColor = Color.LightGray;
                global_variables.CUPHOLDER_USB_SCAN = "GRAY";
                global_variables.CUPHOLDER_USB_TEST = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",3002,")) // Search Manifest for Modcode (Body USB)
            {
                button4.BackColor = Color.Yellow;
                button10.BackColor = Color.Yellow;
                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";

            }
            else
            {
                button4.BackColor = Color.LightGray;
                button10.BackColor = Color.LightGray;
                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",1502,")) // Search Manifest for Modcode (Endcap USB)
            {
                button8.BackColor = Color.Yellow;
                button11.BackColor = Color.Yellow;
                global_variables.ENDCAP_USB_SCAN = "YELO";
                global_variables.ENDCAP_USB_TEST = "YELO";

            }
            else
            {
                button8.BackColor = Color.LightGray;
                button11.BackColor = Color.LightGray;
                global_variables.ENDCAP_USB_SCAN = "GRAY";
                global_variables.ENDCAP_USB_TEST = "GRAY";

            }

            // ******************************************
            // ********* All Other MOD codes ************
            // ******************************************










            if (Manifest_Options.Text.Contains(",3301,")) // Search Manifest for Modcode (EOCM)
            {
                button24.BackColor = Color.Yellow;
                global_variables.EOCM = "YELO";
            }
            else
            {
                button24.BackColor = Color.LightGray;
                global_variables.EOCM = "GRAY";
            }


            if (Manifest_Options.Text.Contains(",2901,")) // Search Manifest for Modcode (WCM - WIRELESS CHARGE MODULE)
            {
                button30.BackColor = Color.Yellow;
                global_variables.WCM = "YELO";
            }
            else
            {
                button30.BackColor = Color.LightGray;
                global_variables.WCM = "GRAY";
            }


            if (Manifest_Options.Text.Contains(",1101,")) // Search Manifest for Modcode (HEATED SEAT SW.)
            {
                button13.BackColor = Color.Yellow;
                global_variables.SEAT = "YELO";
            }
            else
            {
                button13.BackColor = Color.LightGray;
                global_variables.SEAT = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",1302,")) // Search Manifest for Modcode (PEPS ANTENNA)
            {
                button18.BackColor = Color.Yellow;
                global_variables.PEPS = "YELO";
            }
            else
            {
                button18.BackColor = Color.LightGray;
                global_variables.PEPS = "GRAY";

            }

            if (Manifest_Options.Text.Contains(",2701,")) // Search Manifest for Modcode (SIB - SHIFT INTERFACE BOARD)
            {
                button28.BackColor = Color.Yellow;
                global_variables.SIB = "YELO";
            }
            else
            {
                button28.BackColor = Color.LightGray;
                global_variables.SIB = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",4201,")) // Search Manifest for Modcode (TRAILER BRAKE SWITCH)
            {
                button20.BackColor = Color.Yellow;
                global_variables.TBS = "YELO";
            }
            else
            {
                button20.BackColor = Color.LightGray;
                global_variables.TBS = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",402,")) // Search Manifest for Modcode (MAIN CONSOLE LAMP)
            {
                button27.BackColor = Color.Yellow;
                global_variables.LAMP = "YELO";
            }
            else
            {
                button27.BackColor = Color.LightGray;
                global_variables.LAMP = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",3501,")) // Search Manifest for Modcode (IMMOBILIZER ANTENNA)
            {
                button22.BackColor = Color.Yellow;
                global_variables.IMOB = "YELO";
            }
            else
            {
                button22.BackColor = Color.LightGray;
                global_variables.IMOB = "GRAY";
            }

            if (Manifest_Options.Text.Contains(",3101,") || Manifest_Options.Text.Contains(",3102,")) // Search Manifest for Modcode (HIGH VOLTAGE PO 3101)
            {
                button7.BackColor = Color.Yellow;
                global_variables.HVPO = "YELO";
            }
            else
            {
                button7.BackColor = Color.LightGray;
                global_variables.HVPO = "GRAY";
            }


            timer1.Stop();
            //Form3 frm3 = new Form3();
            global_variables.frm3.Show();
        }

        private void button32_Click(object sender, EventArgs e)  // FOR DEMO ONLY! START ANALOG TEST
        {
            timer1.Stop();
            //Form1 frm1 = new Form1();
            global_variables.frm1.Show();
        }

        private void button33_Click(object sender, EventArgs e) // FOR DEMO SEND TEST RESULTS TO PLC
        {
            textBoxOperatorPrompts.Text = "";
            textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "REPORT TEST RESULTS TO PLC";


            //global_variables.WCM = "PASS";
            //global_variables.WCM_BASE_PN = textBoxWCM_BaseModelPartNumber8.Text;
            //global_variables.WCM_END_PN = textBoxWCM_EndModelPartNumber8.Text;
            //global_variables.WCM_BOOT_PN = textBoxWCM_BootSWID8.Text;
            //global_variables.WCM_ASWID_PN = textBoxWCM_AppSWID10.Text;
            // global_variables.WCM_ADATAID_PN = textBoxWCM_AppDataID10.Text;
            //global_variables.PN_TIME_READ = TextBox_Time_of_PN_Read.Text;
            //global_variables.PN_DATE_READ = TextBox_Date_of_PN_Read.Text;



            // global_variables.SIB = "PASS";
            // global_variables.SIB_BASE_PN = textBoxSIB_BaseModelPartNumber8.Text;
            // global_variables.SIB_END_PN = textBoxSIB_EndModelPartNumber8.Text;
            //  global_variables.SIB_BOOT_PN = textBoxSIB_BootSWID8.Text;
            //  global_variables.SIB_ASWID_PN = textBoxSIB_AppSWID10.Text;
            //  global_variables.SIB_ADATAID_PN = textBoxSIB_AppDataID10.Text;
            //   global_variables.PN_TIME_READ = TextBox_Time_of_PN_Read.Text;
            //   global_variables.PN_DATE_READ = TextBox_Date_of_PN_Read.Text;



            //   global_variables.EOCM = "PASS";
            //  global_variables.EOCM_BASE_PN = textBoxEOCM_BaseModelPartNumber8.Text;
            //  global_variables.EOCM_END_PN = textBoxEOCM_EndModelPartNumber8.Text;
            //  global_variables.EOCM_BOOT_PN = textBoxEOCM_BootSWID8.Text;
            //   global_variables.EOCM_ASWID_PN = textBoxEOCM_AppSWID10.Text;
            //   global_variables.EOCM_ADATAID_PN = textBoxEOCM_AppDataID10.Text;
            //   global_variables.PN_TIME_READ = TextBox_Time_of_PN_Read.Text;
            //   global_variables.PN_DATE_READ = TextBox_Date_of_PN_Read.Text;


            //   global_variables.LIN_SEAT_SW = "PASS";

            //   global_variables.LIN_TBS = "PASS";





        }

        private void timer1_Tick(object sender, EventArgs e)
        {

            //************************************************************************
            //**************** Configure I/O for the main timer loop  ****************
            //************************************************************************

            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5; // Console 12Vdc Power Outlet Test on RFID card reader Block
            byte input6; // Console 5V USB Charge Test on RFID card reader Block
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(global_variables.diDIO, data);
            // AIOUSB.DIO_ReadAll(1, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;
            byte Console_12VdcPO = 1;
            byte Console_5vUSB = 1;

            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);
            bool Console5 = input5.Equals(Console_12VdcPO);
            bool Console6 = input6.Equals(Console_5vUSB);



            //******************************************************************
            //*************  Check for operator to connect the 55-way harness
            //*******************************************************************


            if (Console1) // Console_PIP_55Way has been detected
            {
                // ONE SHOT 

               // textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "PIP Detected\n\r" + "\n\r" + "\n\r";

                if (textBoxOperatorPrompts.Text.Contains("Cycle Complete"))
                {
                    // DO NOTHING
                    //textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "55-Way PIP detected\n\r" + "\n\r" + "\n\r";


                }
                else
                {
                    textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Cycle Complete\n\r" + "\n\r" + "\n\r";


                    // **************************************************************************************************************************
                    // ****************** Start the Console Test CYCLE COMPLETE Sequence *************************************************************
                    // **************************************************************************************************************************
                    //AIOUSB.DIO_Write1(diDIO, 11, 0); // Energize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                   //***************************************************************************************************************************

                    AIOUSB.DIO_Write1(global_variables.diDIO, 11, 1); // Deenergize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                    AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Denergize Sol #2   CONSOLE 55-way DRAW DOWN 

                    // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                    AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Denergize SOL #1   CONSOLE 55-way LATCH 

                    // textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Denergize Sol #1 & 2 \n\r" + "\n\r" + "\n\r";

                }
               
            }
            

            if (Console1) // Console_PIP_55Way has been detected
            {

                //******************************************************************
                //*************  Check for operator to reconnect the 55-way harness
                //*******************************************************************

                //    AIOUSB.DIO_Write1(diDIO, 11, 0); // Reenergize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                //    AIOUSB.DIO_Write1(diDIO, 10, 0); // Renergize Sol #2   CONSOLE 55-way DRAW DOWN 

                // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                //     AIOUSB.DIO_Write1(diDIO, 9, 0);  // Renergize SOL #1   CONSOLE 55-way LATCH 


                ///  textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "55-Way PIP detected";
                //  textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Cycle Start";

                //timer1.Stop();
                ////Form3 frm3 = new Form3();
                //global_variables.frm3.Show();


            }



        }

        private void button6_Click(object sender, EventArgs e)
        {
            global_variables.Manifest = "MANUAL ENTRY"; // CUPHOLDER USB TEST

            if (button6.BackColor == Color.Yellow)
            {
                button6.BackColor = Color.LightGray;
                button9.BackColor = Color.LightGray;
                global_variables.CUPHOLDER_USB_SCAN = "GRAY";
                global_variables.CUPHOLDER_USB_TEST = "GRAY";
            }
            else
            {
                button6.BackColor = Color.Yellow;
                button9.BackColor = Color.Yellow;
                global_variables.CUPHOLDER_USB_SCAN = "YELO";
                global_variables.CUPHOLDER_USB_TEST = "YELO";
            }
        }

        private void button9_Click(object sender, EventArgs e)
        {
            global_variables.Manifest = "MANUAL ENTRY";// CUPHOLDER USB SCAN

            if (button9.BackColor == Color.Yellow)
            {
                button6.BackColor = Color.LightGray;
                button9.BackColor = Color.LightGray;
                global_variables.CUPHOLDER_USB_SCAN = "GRAY";
                global_variables.CUPHOLDER_USB_TEST = "GRAY";
            }
            else
            {
                button6.BackColor = Color.Yellow;
                button9.BackColor = Color.Yellow;
                global_variables.CUPHOLDER_USB_SCAN = "YELO";
                global_variables.CUPHOLDER_USB_TEST = "YELO";
            }
        }

        private void button7_Click(object sender, EventArgs e) // PN DEFAULT IS YELLOW
        {
            if (button7.BackColor == Color.Yellow)
            {
                button7.BackColor = Color.LightGray;
                
            }
            else
            {
                button7.BackColor = Color.Yellow;
            }
        }

        private void button34_Click(object sender, EventArgs e) // HVPO
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button34.BackColor == Color.Yellow)
            {
                button34.BackColor = Color.LightGray;
                global_variables.HVPO = "GRAY";
            }
            else
            {
                button34.BackColor = Color.Yellow;
                global_variables.HVPO = "YELO";
            }
        }

        private void button2_Click(object sender, EventArgs e) // CANCEL BUTTON PRESSED Blow-off 55-way
        {
            //************************************************************************
            //**************** Configure I/O for the main timer loop  ****************
            //************************************************************************

            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5; // Console 12Vdc Power Outlet Test on RFID card reader Block
            byte input6; // Console 5V USB Charge Test on RFID card reader Block
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(global_variables.diDIO, data);
            // AIOUSB.DIO_ReadAll(1, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;
            byte Console_12VdcPO = 1;
            byte Console_5vUSB = 1;

            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);
            bool Console5 = input5.Equals(Console_12VdcPO);
            bool Console6 = input6.Equals(Console_5vUSB);



            //******************************************************************
            //*************  Check for operator to connect the 55-way harness
            //*******************************************************************


            if (Console1) // Console_PIP_55Way has been detected
            {
                // ONE SHOT 

                textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "PIP Detected\n\r" + "\n\r" + "\n\r";

                if (textBoxOperatorPrompts.Text.Contains("Cycle Complete"))
                {
                    // DO NOTHING
                    //textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "55-Way PIP detected\n\r" + "\n\r" + "\n\r";


                }
                else
                {
                    textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Cycle Complete\n\r" + "\n\r" + "\n\r";


                    // **************************************************************************************************************************
                    // ****************** Start the Console Test CYCLE COMPLETE Sequence *************************************************************
                    // **************************************************************************************************************************
                    //***************************************************************************************************************************
                    //***************************************************************************************************************************

                    AIOUSB.DIO_Write1(global_variables.diDIO, 11, 1); // Deenergize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                    AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Denergize Sol #2   CONSOLE 55-way DRAW DOWN 

                    // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                    AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Denergize SOL #1   CONSOLE 55-way LATCH 
                    //close the forms other than Form2
                    /*global_variables.frm1.Close();
                    global_variables.frm3.Close();
                    global_variables.frm4.Close();
                    global_variables.frm5.Close();
                    global_variables.frm6.Close();*/
                }

            }


            if (Console1) // Console_PIP_55Way has been detected
            {

                //******************************************************************
                //*************  Check for operator to reconnect the 55-way harness
                //*******************************************************************

                //    AIOUSB.DIO_Write1(diDIO, 11, 0); // Reenergize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                //    AIOUSB.DIO_Write1(diDIO, 10, 0); // Renergize Sol #2   CONSOLE 55-way DRAW DOWN 

                // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                //     AIOUSB.DIO_Write1(diDIO, 9, 0);  // Renergize SOL #1   CONSOLE 55-way LATCH 


                ///  textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "55-Way PIP detected";
                //  textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Cycle Start";

                //timer1.Stop();
                ////Form3 frm3 = new Form3();
                //global_variables.frm3.Show();


            }


            ////Form3 frm3 = new Form3();
            //global_variables.frm3.Show();
        }





    }
}
