﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;

using AIOUSBNet;  // namespace exposes AIOUSB Class interface 

// you must also add a reference to the AIOUSBNet.dll in the project
// The path should be C:\Windows\system32\AIOUSBNet.dll or the equivalent for your system



namespace Sample1
{
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
        }

        private void button3_Click(object sender, EventArgs e)    // CONNECT 55-WAY BUTTON PRESSED  .... CHECKS THE PIP SWITCHES WHICH CHANGES COLOR FROM YELLOW TO AQUAMARINE
        {


            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5;
            byte input6;
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(0, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;


            // Initialize all Outputs to the OFF State
            AIOUSB.DIO_Write1(0, 6, 1);  // Deactivate TEST FAIL (Interlock)
            AIOUSB.DIO_Write1(0, 7, 1);  // Deactivate TEST PASS (Interlock)
            AIOUSB.DIO_Write1(0, 8, 1);  // Deactivate END OF CYCLE (Interlock)
            AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
            AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
            AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
            AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
            AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3
            AIOUSB.DIO_Write1(0, 14, 1); // CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet


            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);


            if (Headliner1) // Headliner_PIP_59Way has been detected
            {
                labelPIPswitchHDL59A.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                labelPIPswitchHDL59B.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
                labelDrawDownHDL59.BackColor = Color.Aquamarine;  // Operator Display Change 59-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE
            }

            if (Headliner2) // Headliner_PIP_55Way has been detected
            {
                labelPIPswitchHDL55A.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                labelPIPswitchHDL55B.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 12, 0); // Energize Sol #4   HEADLINER DRAW DOWN BH #2 55-way
                labelDrawDownHDL55.BackColor = Color.Aquamarine; // Operator Display Change 55-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE
            }

            if (Headliner3) // Headliner_PIP_16Way_X1
            {
                labelPIPswitchHDL16X1.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X1 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
            }

            if (Headliner4) // Headliner_PIP_16Way_X2
            {
                labelPIPswitchHDL16X2.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X2 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
            }


        }

        private void label4_Click(object sender, EventArgs e)
        {

        }

        private void Form4_Load(object sender, EventArgs e)  // FORM LOAD ALSO CHECKS THE PIP SWITCHES WHICH STARTS THE DRAW DOWN SOLENOIDS
        {
            textBox1.Text = ""; // CLEAR SCREEN

            // CHECK FOR RETRY FAILED TEST
            if (global_variables.MIC.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "CHECK FOR OPEN LEFT MIC\n\r" + "\n\r";
            }

            if (global_variables.CMIC.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "CHECK FOR OPEN RIGHT MIC\n\r" + "\n\r";
            }

            if (global_variables.LSLAMP.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "MAKE SURE LEFT SUNSHADE LAMP IS ON\n\r" + "\n\r";
            }

            if (global_variables.RSLAMP.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "MAKE SURE RIGHT SUNSHADE LAMP IS ON\n\r" + "\n\r";
            }

            if (global_variables.R2LAMPC.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "CHECK FOR OPEN DOME LAMP\n\r" + "\n\r";
            }

            if (global_variables.RETEST.Contains(""))
            {





                textBoxfrm4VIN.Text = global_variables.CSN;


                textBox1.Text = ""; // CLEAR SCREEN
                textBox1.Text = "<<< OPERATOR >>> \n\r" + "\n\r" + "\n\r";
                textBox1.Text = textBox1.Text + "OPEN L&R SUNSHADE LAMPS\n\r" + "\n\r";
                textBox1.Text = textBox1.Text + "CONNECT 59-WAY OR 55-WAY \n\r" + "\n\r";
                textBox1.Text = textBox1.Text + "CONNECT 16-WAY (X1 & X2) \n\r" + "\n\r";
                textBoxRESULTS.Text = textBoxRESULTS.Text + " \n\r" + "\n\r";
                textBox2.Text = ".";





                //*************************************************************
                // ***** PREMIUM MANIFEST FOR RED RABBIT TEST NOT FROM THE PLC
                //****** MUST REMOVE REMARKS FOR PRODUCTION
                //************************************************************



                // ONE SHOT 
                //              if (textBoxRESULTS.Text.Contains("Finished Read of PLC DB Manifest with Sharp7"))
                //              {
                // DO NOTHING

                //              }
                //              else
                //              {

                // *********************************************
                // *********** Read PLC DB Manifest with Sharp7
                // *********************************************

                //              int Rack = 0;
                //              int Slot = 0;
                //              int Good = 0;

                //              Client.ConnectTo("10.11.51.50", Rack, Slot);
                //              Client.Connect();

                //SetConnectionParams

                //              ComponentResult Result = new ComponentResult();
                //              byte[] Buffer = new byte[256];

                //              Client.DBRead(61, 0, 256, Buffer);
                //              string msg = System.Text.Encoding.ASCII.GetString(Buffer);

                //              textBoxRESULTS.Text += "\n";
                //              for (int iii = 0; iii < 256; ++iii)
                //              {
                //                  textBoxRESULTS.Text += Buffer[iii].ToString("x2") + ",";
                //              }
                //              textBoxRESULTS.Text += "\n";

                //              textBoxRESULTS.Text = textBoxRESULTS.Text + "Finished Read of PLC DB Manifest with Sharp7" + "\n\r" + "\n\r";

                // Extracts the fields and inserts them into the struct
                //  Result.SerialNumber = S7.GetCharsAt(Buffer, 0, 12);
                //  Result.TestResult = S7.GetIntAt(Buffer, 12);
                //  Result.LeakDetected = S7.GetRealAt(Buffer, 14);
                //  Result.TestDateTime = S7.GetDateTimeAt(Buffer, 18);

                //          }





                //*********************************************
                // ***** PREMIUM MANIFEST FOR RED RABBIT TEST
                //****** MUST REMARK OUT FOR PRODUCTION
                //********************************************

                // HEADLINER MANIFEST - Highline 
                // textBoxRESULTS.Text = ""; // Clear Screen
                textBoxRESULTS.Text = textBoxRESULTS.Text + "0000000355149,103xxxxxxxxxx,0000004364960,84874628FT28,501,84810967M38A,201,84793091FT29,301,84660808A28B,901,????????????,601,????????????,602,????????????,603,????????????,604,85116495M40P,601,846608188A28A,801,84798058FW80,1801,";



                // PARSE OUT THE CSN #
                global_variables.CSN = textBoxRESULTS.Text.Substring(28, 13);
                textBoxfrm4VIN.Text = global_variables.CSN;




                // *******************************************************
                // ********* HEADLINER TEST MOD codes ********************
                // *******************************************************

                //// Search Manifest for Modcode <<<< 201 THROUGH 205 >>>> (Cell Phone MIC LEFT ??) 
                if (textBoxRESULTS.Text.Contains(",201,") || textBoxRESULTS.Text.Contains(",202,") || textBoxRESULTS.Text.Contains(",203,") || textBoxRESULTS.Text.Contains(",204,") || textBoxRESULTS.Text.Contains(",205,"))
                {
                    global_variables.CMIC = "YELO";
                }
                else
                {

                    global_variables.CMIC = "GRAY";
                }


                //Search Manifest for Modcode <<<< 301 through 307 >>>> (Other MIC RIGHT ??) 
                if (textBoxRESULTS.Text.Contains(",301,") || textBoxRESULTS.Text.Contains(",302,") || textBoxRESULTS.Text.Contains(",303,") || textBoxRESULTS.Text.Contains(",304,") || textBoxRESULTS.Text.Contains(",305,") || textBoxRESULTS.Text.Contains(",306,") || textBoxRESULTS.Text.Contains(",307,"))
                {
                    global_variables.MIC = "YELO";
                }
                else
                {

                    global_variables.MIC = "GRAY";
                }


                // Search Manifest for Modcode (Noise Cancel MIC)
                if (textBoxRESULTS.Text.Contains(",1801,"))
                {
                    global_variables.ANCMIC = "YELO";
                }
                else
                {

                    global_variables.ANCMIC = "GRAY";
                }



                // Search Manifest for Modcode <<<< 501 TO 510 >>>>
                // 
                // (DOME LAMP) 
                //
                // WHICH IS WHICH ???????????
                //
                // LAMP_H = STOP LAMP                           
                // ECLAMP = EXTERIOR COURTESY LAMP              
                // R2LAMPS = ROW 2 DOME LAMP SWITCH             
                // R2LAMPS2 = ROW 2 DOME LAMP SWITCH 2          
                // R2LAMPC = ROW 2 DOME LAMP CONTROL <<<< VALIDATED AS 501 THROUGH 510 *********************
                // R2LAMPC2 = ROW 2 DOME LAMP CONTROL2          

                // HEADLINER LAMP                           
                if (textBoxRESULTS.Text.Contains(",501,") || textBoxRESULTS.Text.Contains(",502,") || textBoxRESULTS.Text.Contains(",503,") || textBoxRESULTS.Text.Contains(",504,") || textBoxRESULTS.Text.Contains(",505,") || textBoxRESULTS.Text.Contains(",506,") || textBoxRESULTS.Text.Contains(",507,") || textBoxRESULTS.Text.Contains(",508,") || textBoxRESULTS.Text.Contains(",509,") || textBoxRESULTS.Text.Contains(",510,"))

                {
                    global_variables.R2LAMPC = "YELO";
                }
                else
                {
                    global_variables.R2LAMPC = "GRAY";
                }



                // Search Manifest for Modcode <<<< 801 TO 830 >>>> (LEFT SUNSHADE LAMP) 
                if (textBoxRESULTS.Text.Contains(",501,") || textBoxRESULTS.Text.Contains(",502,") || textBoxRESULTS.Text.Contains(",503,") || textBoxRESULTS.Text.Contains(",504,") || textBoxRESULTS.Text.Contains(",505,") || textBoxRESULTS.Text.Contains(",506,") || textBoxRESULTS.Text.Contains(",507,") || textBoxRESULTS.Text.Contains(",508,") || textBoxRESULTS.Text.Contains(",509,") || textBoxRESULTS.Text.Contains(",510,") || textBoxRESULTS.Text.Contains(",511,") || textBoxRESULTS.Text.Contains(",512,") || textBoxRESULTS.Text.Contains(",513,") || textBoxRESULTS.Text.Contains(",514,") || textBoxRESULTS.Text.Contains(",515,") || textBoxRESULTS.Text.Contains(",516,") || textBoxRESULTS.Text.Contains(",517,") || textBoxRESULTS.Text.Contains(",518,") || textBoxRESULTS.Text.Contains(",519,") || textBoxRESULTS.Text.Contains(",520,") || textBoxRESULTS.Text.Contains(",521,") || textBoxRESULTS.Text.Contains(",522,") || textBoxRESULTS.Text.Contains(",523,") || textBoxRESULTS.Text.Contains(",524,") || textBoxRESULTS.Text.Contains(",525,") || textBoxRESULTS.Text.Contains(",526,") || textBoxRESULTS.Text.Contains(",527,") || textBoxRESULTS.Text.Contains(",528,") || textBoxRESULTS.Text.Contains(",529,") || textBoxRESULTS.Text.Contains(",530,"))
                {
                    global_variables.LSLAMP = "YELO";
                }
                else
                {

                    global_variables.LSLAMP = "GRAY";
                }


                // Search Manifest for Modcode <<<< 901 TO 930 >>>> (RIGHT SUNSHADE LAMP) 
                if (textBoxRESULTS.Text.Contains(",901,") || textBoxRESULTS.Text.Contains(",902,") || textBoxRESULTS.Text.Contains(",903,") || textBoxRESULTS.Text.Contains(",904,") || textBoxRESULTS.Text.Contains(",905,") || textBoxRESULTS.Text.Contains(",906,") || textBoxRESULTS.Text.Contains(",907,") || textBoxRESULTS.Text.Contains(",908,") || textBoxRESULTS.Text.Contains(",909,") || textBoxRESULTS.Text.Contains(",910,") || textBoxRESULTS.Text.Contains(",911,") || textBoxRESULTS.Text.Contains(",912,") || textBoxRESULTS.Text.Contains(",913,") || textBoxRESULTS.Text.Contains(",914,") || textBoxRESULTS.Text.Contains(",915,") || textBoxRESULTS.Text.Contains(",916,") || textBoxRESULTS.Text.Contains(",917,") || textBoxRESULTS.Text.Contains(",918,") || textBoxRESULTS.Text.Contains(",919,") || textBoxRESULTS.Text.Contains(",920,") || textBoxRESULTS.Text.Contains(",921,") || textBoxRESULTS.Text.Contains(",922,") || textBoxRESULTS.Text.Contains(",923,") || textBoxRESULTS.Text.Contains(",924,") || textBoxRESULTS.Text.Contains(",925,") || textBoxRESULTS.Text.Contains(",926,") || textBoxRESULTS.Text.Contains(",927,") || textBoxRESULTS.Text.Contains(",928,") || textBoxRESULTS.Text.Contains(",929,") || textBoxRESULTS.Text.Contains(",930,"))
                {
                    global_variables.RSLAMP = "YELO";
                }
                else
                {

                    global_variables.RSLAMP = "GRAY";
                }





                //textBox2.Text = "X "; // TAKE FOCUS OFF OF OPERATOR PROMPT TEXT BOX

                byte input0;
                byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
                byte input2; // Headliner 55-way PIP Switch
                byte input3; // Headliner 16-way X1 PIP Switch
                byte input4; // Headliner 16-way X2 PIP Switch
                byte input5;
                byte input6;
                byte input7;
                byte input8;
                byte input9;
                byte input10;
                byte input11;
                byte input12;
                byte input13;
                byte input14;
                byte input15;

                byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

                AIOUSB.DIO_ReadAll(0, data);

                if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
                if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
                if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
                if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
                if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
                if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
                if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
                if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
                if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
                if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
                if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
                if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
                if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
                if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
                if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
                if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


                byte Console_PIP_55Way = 1;
                byte Headliner_PIP_59Way = 1;
                byte Headliner_PIP_55Way = 1;
                byte Headliner_PIP_16Way_x1 = 1;
                byte Headliner_PIP_16Way_x2 = 1;


                // Initialize all Outputs to the OFF State
                AIOUSB.DIO_Write1(0, 6, 1);  // Deactivate TEST FAIL (Interlock)
                AIOUSB.DIO_Write1(0, 7, 1);  // Deactivate TEST PASS (Interlock)
                AIOUSB.DIO_Write1(0, 8, 1);  // Deactivate END OF CYCLE (Interlock)
                AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
                AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
                AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
                AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
                AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3
                AIOUSB.DIO_Write1(0, 14, 1); // CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet


                bool Console1 = input1.Equals(Console_PIP_55Way);
                bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
                bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
                bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
                bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);


                if (Headliner1) // Headliner_PIP_59Way has been detected
                {
                    labelPIPswitchHDL59A.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                    labelPIPswitchHDL59B.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                    AIOUSB.DIO_Write1(0, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
                    labelDrawDownHDL59.BackColor = Color.Aquamarine;  // Operator Display Change 59-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE
                }

                if (Headliner2) // Headliner_PIP_55Way has been detected
                {
                    labelPIPswitchHDL55A.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                    labelPIPswitchHDL55B.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                    AIOUSB.DIO_Write1(0, 12, 0); // Energize Sol #4   HEADLINER DRAW DOWN BH #2 55-way
                    labelDrawDownHDL55.BackColor = Color.Aquamarine; // Operator Display Change 55-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE
                }

                if (Headliner3) // Headliner_PIP_16Way_X1
                {
                    labelPIPswitchHDL16X1.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X1 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
                }

                if (Headliner4) // Headliner_PIP_16Way_X2
                {
                    labelPIPswitchHDL16X2.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X2 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
                }
            
            
            } 






            timer1.Start();

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            //    Form1 frm1 = new Form1();
            //    frm1.Show();
        }

        private void label7_Click(object sender, EventArgs e)
        {

        }

        private void buttonConnect_16_16_way_Click(object sender, EventArgs e)    // CONNECT 16-16 WAY BUTTON PRESSED .... CHECKS THE PIP SWITCHES WHICH CHANGES COLOR FROM YELLOW TO AQUAMARINE
        {


            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5;
            byte input6;
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(0, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;


            // Initialize all Outputs to the OFF State
            AIOUSB.DIO_Write1(0, 6, 1);  // Deactivate TEST FAIL (Interlock)
            AIOUSB.DIO_Write1(0, 7, 1);  // Deactivate TEST PASS (Interlock)
            AIOUSB.DIO_Write1(0, 8, 1);  // Deactivate END OF CYCLE (Interlock)
            AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
            AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
            AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
            AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
            AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3
            AIOUSB.DIO_Write1(0, 14, 1); // CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet


            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);


            if (Headliner1) // Headliner_PIP_59Way has been detected
            {
                labelPIPswitchHDL59A.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                labelPIPswitchHDL59B.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
                labelDrawDownHDL59.BackColor = Color.Aquamarine;  // Operator Display Change 59-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 9, 0);  // Energize SOL #1



            }

            if (Headliner2) // Headliner_PIP_55Way has been detected
            {
                labelPIPswitchHDL55A.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                labelPIPswitchHDL55B.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 12, 0); // Energize Sol #4   HEADLINER DRAW DOWN BH #2 55-way
                labelDrawDownHDL55.BackColor = Color.Aquamarine; // Operator Display Change 55-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE
            }

            if (Headliner3) // Headliner_PIP_16Way_X1
            {
                labelPIPswitchHDL16X1.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X1 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
            }

            if (Headliner4) // Headliner_PIP_16Way_X2
            {
                labelPIPswitchHDL16X2.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X2 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
            }



        }

        private void buttonConnect_59_Way_Click(object sender, EventArgs e)  // CONNECT 59-WAY BUTTON PRESSED  .... CHECKS THE PIP SWITCHES WHICH CHANGES COLOR FROM YELLOW TO AQUAMARINE
        {

            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5;
            byte input6;
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(0, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;


            // Initialize all Outputs to the OFF State
            AIOUSB.DIO_Write1(0, 6, 1);  // Deactivate TEST FAIL (Interlock)
            AIOUSB.DIO_Write1(0, 7, 1);  // Deactivate TEST PASS (Interlock)
            AIOUSB.DIO_Write1(0, 8, 1);  // Deactivate END OF CYCLE (Interlock)
            AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1 59-WAY
            AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH #2 55-WAY
            AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1 59-WAY
            AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2 55-WAY
            AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3 16/16-WAY
            AIOUSB.DIO_Write1(0, 14, 1); // CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet


            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);



            if (Headliner1) // Headliner_PIP_59Way has been detected
            {
                labelPIPswitchHDL59A.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                labelPIPswitchHDL59B.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 11, 0); // Energize Sol #3 HEADLINER DRAW DOWN BH #1 59-way
                labelDrawDownHDL59.BackColor = Color.Aquamarine;  // Operator Display Change 59-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 9, 0);  // Turn ON SOL #1 HEADLINER LATCH BH#1 59-WAY

            }
            else
            {
                //  textBox1.Text = textBox1.Text + "NO PIPa 59-WAY\r\n";
            }

            if (Headliner2) // Headliner_PIP_55Way has been detected
            {
                labelPIPswitchHDL55A.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                labelPIPswitchHDL55B.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 12, 0); // Energize Sol #4   HEADLINER DRAW DOWN BH #2 55-way
                labelDrawDownHDL55.BackColor = Color.Aquamarine; // Operator Display Change 55-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE

                AIOUSB.DIO_Write1(0, 10, 0); // Turn ON SOL #2 HEADLINER LATCH BH #2 55-WAY


            }
            else
            {
                //    textBox1.Text = textBox1.Text + "NO PIPb 55-WAY\r\n";
            }

            if (Headliner3) // Headliner_PIP_16Way_X1
            {
                labelPIPswitchHDL16X1.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X1 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE


            }
            else
            {
                //  textBox1.Text = textBox1.Text + "NO PIP 16/16-WAY X1\r\n";
            }

            if (Headliner4) // Headliner_PIP_16Way_X2
            {
                labelPIPswitchHDL16X2.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X2 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE




            }
            else
            {
                //  textBox1.Text = textBox1.Text + "NO PIP 16/16-WAY X2\r\n" +"\r\n";
            }


        }

        private void timer1_Tick(object sender, EventArgs e)
        {

            textBox1.Text = ""; // CLEAR SCREEN

            // CHECK FOR RETRY FAILED TEST
            if (global_variables.MIC.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "CHECK FOR OPEN LEFT MIC\n\r" + "\n\r";
                textBoxRESULTS.Text= textBoxRESULTS.Text+ "CHECK FOR OPEN LEFT MIC\n\r" + "\n\r";
            }

            if (global_variables.CMIC.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "CHECK FOR OPEN RIGHT MIC\n\r" + "\n\r";
                textBoxRESULTS.Text = textBoxRESULTS.Text + "CHECK FOR OPEN RIGHT MIC\n\r" + "\n\r";
            }

            if (global_variables.LSLAMP.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "MAKE SURE LEFT SUNSHADE LAMP IS ON\n\r" + "\n\r";
                textBoxRESULTS.Text = textBoxRESULTS.Text + "MAKE SURE LEFT SUNSHADE LAMP IS ON\n\r" + "\n\r";
            }

            if (global_variables.RSLAMP.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "MAKE SURE RIGHT SUNSHADE LAMP IS ON\n\r" + "\n\r";
                textBoxRESULTS.Text = textBoxRESULTS.Text + "MAKE SURE RIGHT SUNSHADE LAMP IS ON\n\r" + "\n\r";
            }

            if (global_variables.R2LAMPC.Contains("FAIL")) // RETURN TO PROMPT OPERATOR TO CHECK CONNECTION
            {
                global_variables.RETEST = "YES";
                textBox1.Text = textBox1.Text + "CHECK FOR OPEN DOME LAMP\n\r" + "\n\r";
                textBoxRESULTS.Text = textBoxRESULTS.Text + "CHECK FOR OPEN DOME LAMP\n\r" + "\n\r";
            }












            if (global_variables.RETEST.Contains(""))
            {


                // ONE SHOT
                if (textBoxRESULTS.Text.Contains("CONNECT 16-WAY (X1 & X2)"))
                {
                    textBoxRESULTS.Text = textBoxRESULTS.Text + " \n\r" + "\n\r";
                    textBox2.Text = "";


                }
                else
                {
                    textBox1.Text = ""; // CLEAR SCREEN
                    textBox1.Text = "<<< OPERATOR >>> \n\r" + "\n\r" + "\n\r";
                    textBox1.Text = textBox1.Text + "OPEN L&R SUNSHADE LAMPS\n\r" + "\n\r";
                    textBox1.Text = textBox1.Text + "CONNECT 59-WAY OR 55-WAY \n\r" + "\n\r";
                    textBox1.Text = textBox1.Text + "CONNECT 16-WAY (X1 & X2) \n\r" + "\n\r";
                    textBoxRESULTS.Text = textBoxRESULTS.Text + "refreshed the operator prompt message \n\r" + "\n\r";

                }




                byte input0;
                byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
                byte input2; // Headliner 55-way PIP Switch
                byte input3; // Headliner 16-way X1 PIP Switch
                byte input4; // Headliner 16-way X2 PIP Switch
                byte input5;
                byte input6;
                byte input7;
                byte input8;
                byte input9;
                byte input10;
                byte input11;
                byte input12;
                byte input13;
                byte input14;
                byte input15;

                byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

                AIOUSB.DIO_ReadAll(0, data);

                if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
                if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
                if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
                if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
                if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
                if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
                if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
                if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
                if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
                if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
                if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
                if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
                if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
                if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
                if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
                if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


                byte Console_PIP_55Way = 1;
                byte Headliner_PIP_59Way = 1;
                byte Headliner_PIP_55Way = 1;
                byte Headliner_PIP_16Way_x1 = 1;
                byte Headliner_PIP_16Way_x2 = 1;

                bool Console1 = input1.Equals(Console_PIP_55Way);
                bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
                bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
                bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
                bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);


                if (Headliner1) // Headliner_PIP_59Way has been detected
                {

                    // ONE SHOT 
                    if (textBoxRESULTS.Text.Contains("59-Way Connected"))
                    {
                        // DO NOTHING

                    }
                    else
                    {
                        labelPIPswitchHDL59A.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                        labelPIPswitchHDL59B.BackColor = Color.Aquamarine;  // Operator Display Change 59-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                        AIOUSB.DIO_Write1(0, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
                        labelDrawDownHDL59.BackColor = Color.Aquamarine;  // Operator Display Change 59-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE

                        AIOUSB.DIO_Write1(0, 9, 0);  // Turn ON SOL #1 HEADLINER LATCH BH#1 59-WAY
                        labelLatchHDL59A.BackColor = Color.Aquamarine;  // 
                        labelLatchHDL59B.BackColor = Color.Aquamarine;  // 
                        buttonConnect_59_Way.BackColor = Color.Aquamarine;  // 

                        textBoxRESULTS.Text = textBoxRESULTS.Text + "59-Way PIP switches detected" + "\n\r" + "\n\r";
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "59-Way Drawdown Solenoid Energized" + "\n\r" + "\n\r";
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "59-Way Latch Solenoid Energized" + "\n\r" + "\n\r";
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "59-Way Connected" + "\n\r" + "\n\r";
                    }
                }






                if (Headliner2) // Headliner_PIP_55Way has been detected
                {

                    // ONE SHOT 
                    if (textBoxRESULTS.Text.Contains("55-Way Connected"))
                    {

                        // DO NOTHING   

                    }
                    else
                    {

                        labelPIPswitchHDL55A.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPa switch indicator COLOR from Default YELLOW to AQUAMARINE
                        labelPIPswitchHDL55B.BackColor = Color.Aquamarine; // Operator Display Change 55-way PIPb switch indicator COLOR from Default YELLOW to AQUAMARINE

                        AIOUSB.DIO_Write1(0, 12, 0); // Energize Sol #4   HEADLINER DRAW DOWN BH #2 55-way
                        labelDrawDownHDL55.BackColor = Color.Aquamarine; // Operator Display Change 55-way DrawDown indicator COLOR from Default YELLOW to AQUAMARINE


                        AIOUSB.DIO_Write1(0, 10, 0); // Turn ON SOL #2 HEADLINER LATCH BH #2 55-WAY
                        labelLatchHDL55.BackColor = Color.Aquamarine; //
                        buttonConnect_55_Way.BackColor = Color.Aquamarine; //

                        textBoxRESULTS.Text = textBoxRESULTS.Text + "55-Way PIP switches detected" + "\n\r" + "\n\r";
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "55-Way Drawdown Solenoid Energized" + "\n\r" + "\n\r";
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "55-Way Latch Solenoid Energized" + "\n\r" + "\n\r";
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "55-Way Connected" + "\n\r" + "\n\r";


                    }

                }


                if (Headliner3) // Headliner_PIP_16Way_X1
                {
                    // ONE SHOT 
                    if (textBoxRESULTS.Text.Contains("16/16-Way (X1) PIP switch detected"))
                    {

                        // Do nothing   

                    }
                    else
                    {


                        labelPIPswitchHDL16X1.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X1 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
                        Label_16_16_X1.BackColor = Color.Aquamarine; //
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "16/16-Way (X1) PIP switch detected" + "\n\r" + "\n\r";

                    }

                }



                if (Headliner4) // Headliner_PIP_16Way_X2
                {

                    // ONE SHOT 
                    if (textBoxRESULTS.Text.Contains("16/16-Way (X2) PIP switch detected"))
                    {
                        // Do nothing   
                    }
                    else
                    {

                        labelPIPswitchHDL16X2.BackColor = Color.Aquamarine; // Operator Display Change 16/16 - way X2 PIP switch indicator COLOR from Default YELLOW to AQUAMARINE
                        Label_16_16_X2.BackColor = Color.Aquamarine; //
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "16/16-Way (X2) PIP switch detected" + "\n\r" + "\n\r";

                    }
                }


                if (textBoxRESULTS.Text.Contains("16/16-Way (X2) PIP switch detected"))
                {
                    if (textBoxRESULTS.Text.Contains("16/16-Way (X1) PIP switch detected"))
                    {
                        // ONE SHOT 
                        if (textBoxRESULTS.Text.Contains("16/16-Way (X1 & X2) Connected"))
                        {
                            // Do nothing   
                        }
                        else
                        {

                            buttonConnect_16_16_way.BackColor = Color.Aquamarine; //
                            textBoxRESULTS.Text = textBoxRESULTS.Text + "16/16-Way (X1 & X2) Connected" + "\n\r" + "\n\r";
                        }


                    }

                }


                // TEST FOR MANUAL RELEASE BUTTON PRESSED ON 59 WAY

                if (Headliner1) // Headliner_PIP_16Way_X2
                {

                    // DO NOTHING

                }
                else  // MANUAL RELEASE PRESSED ON 59-WAY ?
                {
                    if (textBoxRESULTS.Text.Contains("59-Way Connected"))
                    {
                        // RELEASE BOTH 59-WAY AND 16/16-WAY UNLATCH AND BLOW OFF SINCE IT HAS NO PUSH BUTTON               
                        AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1 59-WAY
                        AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   HEADLINER LATCH BH #1 59-WAY
                        AIOUSB.DIO_Write1(0, 13, 0); // TURN ON SOL #5   HEADLINER AIR EJECT BH #3 16/16-WAY
                    }


                }


                // TEST FOR MANUAL RELEASE BUTTON PRESSED ON 55 WAY

                if (Headliner2) // Headliner_PIP_16Way_X2
                {

                    // DO NOTHING

                }
                else  // MANUAL RELEASE PRESSED ON 55-WAY ?
                {
                    if (textBoxRESULTS.Text.Contains("55-Way Connected"))
                    {
                        // RELEASE BOTH 55-WAY AND 16/16-WAY UNLATCH AND BLOW OFF SINCE IT HAS NO PUSH BUTTON
                        AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   HEADLINER LATCH BH#2 55-WAY
                        AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2 55-WAY
                        AIOUSB.DIO_Write1(0, 13, 0); // TURN ON SOL #5   HEADLINER AIR EJECT BH #3 16/16-WAY
                    }

                }


                // ***********************************************************************************************
                //********* Read Module Part Numbers *************************************************************
                //************************************************************************************************
                // Shell Command to Launch Vehicle Spy ***********************************************************
                //************************************************************************************************
                // TCPIP TEXT COMMAND APP TO VEHICLE SPY TO START VEHICLE SPY PART NUMBER READ TEST BLOCK ROUTINES
                // ***********************************************************************************************


                // *****************************************************
                //********* Switch Form to Start Analog Test ***********
                //******************************************************

                if ((Headliner1) || (Headliner2)) // Headliner_PIP_59Way or Headliner_PIP_55Way
                {
                    if (Headliner3)  // Headliner_PIP_16Way_x1
                    {
                        if (Headliner4)  // Headliner_PIP_16Way_x2
                        {
                            if ((textBoxRESULTS.Text.Contains("59-Way Connected") || (textBoxRESULTS.Text.Contains("55-Way Connected"))))
                            {
                                if (textBoxRESULTS.Text.Contains("16/16-Way (X1 & X2) Connected"))
                                {


                                    if (global_variables.MIC.Contains("PASS") || global_variables.CMIC.Contains("PASS") || global_variables.LSLAMP.Contains("PASS") || global_variables.RSLAMP.Contains("PASS") || global_variables.R2LAMPC.Contains("PASS"))
                                    {
                                        //DO NOTHING WAIT FOR OPERATOR TO REPAIR OR ABORT
                                    }
                                    else
                                    {
                                        timer1.Stop();
                                        Thread.Sleep(2000); // Wait ? Seconds
                                        //Form1 frm1 = new Form1();
                                        global_variables.frm1.Show();
                                    }
                                }


                            }



                        }
                    }
                }




            }     
            else  // RETEST FAILED STUFF HERE ******************************************************************
            {


                timer1.Stop();
                Thread.Sleep(1000000); // Wait 5 Seconds
                timer1.Start();

                textBox1.Text = ""; // CLEAR SCREEN
                textBox1.Text = "<<< OPERATOR >>> \n\r" + "\n\r" + "\n\r";
                textBox1.Text = "<<< RETEST >>> \n\r" + "\n\r" + "\n\r";



            }



        
        
        
        }

            private void label6_Click(object sender, EventArgs e)
            {
                // Initialize all Outputs to the OFF State

                AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
                AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2 59-WAY
                AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1 59-WAY
                AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2 55-WAY
                AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3 16/16-WAY

                AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
                AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
                AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
                AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
                AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3

                AIOUSB.DIO_Write1(0, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
                AIOUSB.DIO_Write1(0, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
                AIOUSB.DIO_Write1(0, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
                AIOUSB.DIO_Write1(0, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
                AIOUSB.DIO_Write1(0, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3

            }

            private void textBox2_TextChanged(object sender, EventArgs e)
            {

            }
        }
    } 
