﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using Sharp7;
using AIOUSBNet;
using System.Diagnostics;

namespace Sample1
{

    static class Program
    {

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            //****************************************************************************************
            //*********** FORT WAYNE INDIANA TESTER TYPE "CONSOLE" OR "HEADLINER" ********************
            //****************************************************************************************
            
          //global_variables.FW_TESTER_TYPE = "HEADLINER";
            global_variables.FW_TESTER_TYPE = "CONSOLE";

            global_variables.SOFTWARE_VERSION = "FW Software Ver. (1.0.0) 7/1/21";

            Application.EnableVisualStyles();
            
            Application.SetCompatibleTextRenderingDefault(false);



            // *****************************************************************
            // ************* Console Test Form Z Order *************************
            // *****************************************************************

            /* call this early, before any other code tries to use the DIO */
            global_variables.diDIO = AIOUSB.diNone;
            UInt32 devmask = AIOUSB.GetDevices();
            for (int bit = 0; bit < 32; bit++)
            {
                if ((devmask & (1 << bit)) != 0)
                {
                    AIOUSB.QueryDeviceInformation((uint)bit, out uint pPID, out _, out _, out _, out _);
                    if ((pPID >= 0x8010) && (pPID <= 0x801F))
                    {
                        global_variables.diDIO = (uint)bit;
                        break;
                    }
                }
            }
            /*Process ProcessProperties = new Process();
            ProcessProperties.StartInfo.UseShellExecute = false;
            ProcessProperties.StartInfo.FileName = "c:\\Program Files (X86)\\Vehicle spy 3\\vspy3.exe";
            ProcessProperties.StartInfo.Arguments = "c:\\Android\\Data Directory\\Default\\Test71.vs3exe";
            ProcessProperties.StartInfo.WindowStyle = ProcessWindowStyle.Minimized; // change to .Hidden
            if (global_variables.pHandle == null)
                global_variables.pHandle = Process.Start(ProcessProperties.StartInfo);*/

            // *****************************************************************
            // ************* CONSOLE Test Form Z Order ***********************
            // *****************************************************************
            while (!global_variables.Done)
            {
                if (global_variables.FW_TESTER_TYPE.Contains("CONSOLE"))
                {
                    if (global_variables.frm3 != null)
                    {
                        global_variables.frm3.Close();
                    }
                    global_variables.frm3 = new Form3();
                    //global_variables.frm3.TopMost = true;

                    if (global_variables.frm1 != null)
                    {
                        global_variables.frm1.Close();
                    }
                    global_variables.frm1 = new Form1();
                    //global_variables.frm1.TopMost = true;
                    if (global_variables.frm2 != null)
                    {
                        global_variables.frm2.Close();
                    }
                    global_variables.frm2 = new Form2();
                    //global_variables.frm2.TopMost = true;
                    if (global_variables.frm6 != null)
                    {
                        global_variables.frm6.Close();
                    }
                    global_variables.frm6 = new Form6();
                    //global_variables.frm6.TopMost = true;

                    Application.Run(global_variables.frm3); // 3rd Console Test Connectors
                    //Application.Run(global_variables.frm1); // 5th  Analog Test Validation
                    //Application.Run(global_variables.frm2); // 2nd Console Test Option Selection / Test Results
                    //Application.Run(global_variables.frm6); // 1st VIN Keypad
                }


                // *****************************************************************
                // ************* HEADLINER Test Form Z Order ***********************
                // *****************************************************************

                if (global_variables.FW_TESTER_TYPE.Contains("HEADLINER"))
                {

                    if (global_variables.frm4 != null)
                    {
                        global_variables.frm4.Close();
                    }
                    global_variables.frm4 = new Form4();
                    if (global_variables.frm1 != null)
                    {
                        global_variables.frm1.Close();
                    }
                    global_variables.frm1 = new Form1();
                    if (global_variables.frm5 != null)
                    {
                        global_variables.frm5.Close();
                    }
                    global_variables.frm5 = new Form5();

                    if (global_variables.frm6 != null)
                    {
                        global_variables.frm6.Close();
                    }
                    global_variables.frm6 = new Form6();

                    Application.Run(global_variables.frm4); // 3rd Console Test Connectors
                    //Application.Run(global_variables.frm1); // 5th  Analog Test Validation
                    //Application.Run(global_variables.frm5); // 2nd Console Test Option Selection / Test Results
                    //Application.Run(global_variables.frm6); // 1st VIN Keypad
                }
            }
        }
    }
}
